Legacy: Get offramp
curl --request GET \
--url https://api.daya.co/v1/offramps/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/offramps/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/offramps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a50e8400-e29b-41d4-a716-446655440000",
"type": "PERMANENT",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"address": "0x1a2b3c4d5e6f7890abcdef1234567890abcdef12",
"chain": "ETHEREUM",
"asset": "USDC",
"status": "ACTIVE",
"developer_fee": {
"percentage": "2.5"
},
"settlement": {
"mode": "INTERNAL_BALANCE",
"rate_id": null,
"destination_bank": null
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
{
"id": "b60e8400-e29b-41d4-a716-446655440000",
"type": "PERMANENT",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"address": "TN3W4H6rK2ce4vX9YnFQHwKENnHjoxb3m9",
"chain": "TRON",
"asset": "USDT",
"status": "ACTIVE",
"developer_fee": {
"percentage": "2.5"
},
"settlement": {
"mode": "NGN_PAYOUT",
"rate_id": "rate_8x7k2mq9p",
"destination_bank": {
"account_name": "John Doe",
"account_number": "0123456789",
"bank_code": "058"
}
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid offramp ID format",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Offramp not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Offramps
Legacy: Get offramp
Legacy route for retrieving a crypto receive flow
GET
/
v1
/
offramps
/
{id}
Legacy: Get offramp
Overview
Retrieve an offramp through the legacy compatibility route. New integrations should useGET /v1/funding-accounts/{id}.
Authentication
Your merchant API key
Path Parameters
Offramp ID (UUID format)Example:
a50e8400-e29b-41d4-a716-446655440000Request Examples
curl --request GET \
--url https://api.daya.co/v1/offramps/a50e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/offramps/a50e8400-e29b-41d4-a716-446655440000',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const offramp = await response.json();
import requests
response = requests.get(
'https://api.daya.co/v1/offramps/a50e8400-e29b-41d4-a716-446655440000',
headers={'X-Api-Key': 'YOUR_API_KEY'}
)
offramp = response.json()
Response
Unique offramp identifier (UUID)
Offramp type:
TEMPORARY or PERMANENTAssociated customer ID (UUID)
Crypto deposit address
Blockchain network:
APTOS, BASE, CELO, ETHEREUM, POLYGON, SOLANA, or TRONStablecoin asset:
USDC or USDTOfframp status:
ACTIVE, INACTIVE, or EXPIREDDeveloper fee percentage used for deposits received through this offramp.
Show developer_fee properties
Show developer_fee properties
Configured percentage as a decimal string.
Settlement configuration
Show settlement properties
Show settlement properties
Settlement mode:
INTERNAL_BALANCE or NGN_PAYOUTAssociated rate identifier (nullable)
When the offramp was created (ISO 8601 timestamp)
When the offramp was last updated (ISO 8601 timestamp)
Success Responses
{
"id": "a50e8400-e29b-41d4-a716-446655440000",
"type": "PERMANENT",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"address": "0x1a2b3c4d5e6f7890abcdef1234567890abcdef12",
"chain": "ETHEREUM",
"asset": "USDC",
"status": "ACTIVE",
"developer_fee": {
"percentage": "2.5"
},
"settlement": {
"mode": "INTERNAL_BALANCE",
"rate_id": null,
"destination_bank": null
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
{
"id": "b60e8400-e29b-41d4-a716-446655440000",
"type": "PERMANENT",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"address": "TN3W4H6rK2ce4vX9YnFQHwKENnHjoxb3m9",
"chain": "TRON",
"asset": "USDT",
"status": "ACTIVE",
"developer_fee": {
"percentage": "2.5"
},
"settlement": {
"mode": "NGN_PAYOUT",
"rate_id": "rate_8x7k2mq9p",
"destination_bank": {
"account_name": "John Doe",
"account_number": "0123456789",
"bank_code": "058"
}
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid offramp ID format",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Offramp not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Next Steps
List Offramps
List all offramps with filters
Create Offramp
Create a new offramp
⌘I